Subject: Re: linux-next: next-20090609 hangs in early user mode

From: Theodore Tso <[email-masked]>
Date: Wed, 10 Jun 2009 09:19:09 -0400

On Wed, Jun 10, 2009 at 02:00:54PM +0100, Al Viro wrote:
> 
> Yes, it's obviously bogus.  Dropped from the tree; I don't think it's
> really salvagable - even merging into one unsigned long will not be
> enough, since we will end up with different locking for different bits.

Oops, sorry, I didn't realize we were using bitops for i_state.  As
far as I can tell we're not using the bitops functions for i_flags,
though.  Is that right?  So we can convert i_flags to be a unsigned
short, but we can't do anything with i_state.

       	      	       		     - Ted